Subject: ikiwiki installation problem?

From: "Felicity L." <[email-masked]>
Date: Mon, 03 Apr 2023 14:22:21 -0500

Hi Guix Team,

First off thank you for all your work.

So the issue is that when you install "ikiwiki", and then try to follow the guide and run "ikiwiki --setup ...path" you get an error saying ".../.ikiwiki-makerepo-real: line 32: perl: command not found"

I think that the install instructions for arent addint perl to the path right for some reason. Indeed "which perl" cant find perl. I did "guix edit ikiwiki", and it *looks* like there is something about perl and the path in the install phase. Unfortunately Im still too new at this and cant quite parse why it isnt working.

Hopefully one day Ill know enough that I could fix it myself. In the meantime, thank you again for your work.

Best wishes,
Felicity

- Sent from my iPhone